Commit 7754412d authored by gsell's avatar gsell
Browse files

libem.bash: specify modules to pre-load with --with=; this make --with-something= obsolete

parent e9b33c49
......@@ -113,7 +113,7 @@ FORCE_REBUILD=''
ENVIRONMENT_ARGS=''
WITH_ARGS=''
DRY_RUN=''
with_modules=()
while (( $# > 0 )); do
case $1 in
-j )
......@@ -141,6 +141,9 @@ while (( $# > 0 )); do
MODULE_RELEASE=".${MODULE_RELEASE}"
fi
;;
--with=*/* )
with_modules+=( ${1/--with=} )
;;
--with-hdf5=*)
v=${1/--with-hdf5=}
ENVIRONMENT_ARGS="${ENVIRONMENT_ARGS} HDF5=hdf5 HDF5_VERSION=$v"
......@@ -238,6 +241,9 @@ function is_module_available() {
}
function _load_build_dependencies() {
for m in "${with_modules[@]}"; do
module load "${m}"
done
for m in "${MODULE_BUILD_DEPENDENCIES[@]}"; do
[[ -z $m ]] && continue
if [[ ! $m =~ "*/*" ]]; then
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment